"""create table for users

Revision ID: 2a1c3ef4d5b6
Revises: 2c8d38ab6ec3
Create Date: 2023-05-22 10:23:45.789012

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2a1c3ef4d5b6'
down_revision = '2c8d38ab6ec3'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'users',
        sa.Column('id', sa.String(), nullable=False, primary_key=True),
        sa.Column('username', sa.String(), nullable=True, unique=True),
        sa.Column('email', sa.String(), nullable=True, unique=True),
        sa.Column('hashed_password', sa.String(), nullable=True),
        sa.Column('phone_number', sa.String(), nullable=True),
        sa.Column('disabled', sa.Boolean(), nullable=True, server_default='0'),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_users_username'), 'users', ['username'], unique=True)
    op.create_index(op.f('ix_users_email'), 'users', ['email'], unique=True)


def downgrade():
    op.drop_index(op.f('ix_users_email'), table_name='users')
    op.drop_index(op.f('ix_users_username'), table_name='users')
    op.drop_table('users')